Skip to main content

Update Location

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.update_location

Update an existing sub-account/location in GoHighLevel

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-update-location-example",
"method": "tools/call",
"params": {
"name": "ghl.update_location",
"arguments": {
"locationId": "locationId_123",
"companyId": "companyId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"name": "name_example",
"phone": "phone_example",
"address": "address_example",
"city": "city_example",
"state": "state_example",
"country": "country_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"name": {
"type": "string"
},
"companyId": {
"type": "string"
},
"phone": {
"type": "string"
},
"address": {
"type": "string"
},
"city": {
"type": "string"
},
"state": {
"type": "string"
},
"country": {
"type": "string"
},
"postalCode": {
"type": "string"
},
"website": {
"type": "string"
},
"timezone": {
"type": "string"
}
},
"required": [
"locationId",
"companyId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-update-location-example",
"method": "tools/call",
"params": {
"name": "ghl.update_location",
"arguments": {
"locationId": "locationId_123",
"companyId": "companyId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"name": "name_example",
"phone": "phone_example",
"address": "address_example",
"city": "city_example",
"state": "state_example",
"country": "country_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.update_location executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}